/**
 * JBoss, Home of Professional Open Source
 * Copyright 2008, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jboss.webbeans.extension.scheduler;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import javax.enterprise.inject.BindingType;
import org.jboss.webbeans.scheduling.annotations.Scheduled;

/**
 * A typesafe representation of the schedule named "test.one" for use as a binding
 * type for observervers of Event (instead of using the @Scheduled annotation directly).
 * This is achieved by creating an otherwise standard binding type which is also annotated with the
 * @Scheduled anotation specifying the schedule specification in cron format or the name
 * of the schedule.
 * 
 * @author Peter Royle
 */
@Scheduled("test.one")
@BindingType
@Retention(RetentionPolicy.RUNTIME)
public @interface Frequent
{
}
